VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3660
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3660
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "Refresh"
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   3240
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3015
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type MEMORYSTATUS
    dwLength As Long        ' Size of MEMORYSTATUS
    dwMemoryLoad As Long    ' % of memory in use
    dwTotalPhys As Long     ' Total bytes of physical memory
    dwAvailPhys As Long     ' Bytes of free physical memory
    dwTotalPageFile As Long ' Bytes in paging file
    dwAvailPageFile As Long ' Free bytes in paging file
    dwTotalVirtual As Long  ' User bytes of address space
    dwAvailVirtual As Long  ' Free user bytes
End Type
Private Declare Sub GlobalMemoryStatus Lib "kernel32" (lpBuffer As MEMORYSTATUS)

Private Sub ShowStatistics()
Dim mem As MEMORYSTATUS
Dim txt As String

    GlobalMemoryStatus mem

    With mem
        txt = txt & "% used:                " & Format$(.dwMemoryLoad, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total physical memory: " & Format$(.dwTotalPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Physical memory free:  " & Format$(.dwAvailPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total page file size:  " & Format$(.dwTotalPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Free page file size:   " & Format$(.dwAvailPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total virtual memory:  " & Format$(.dwTotalVirtual, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Free virtual memory:   " & Format$(.dwAvailVirtual, "@@@@@@@@@@@") & vbCrLf
    End With

    Label1.Caption = txt
End Sub

Private Sub cmdRefresh_Click()
    ShowStatistics
End Sub


Private Sub Form_Load()
    ShowStatistics
End Sub
